libetonyek::IWORKHeaderFooterContext Class Reference documentation

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKHeaderFooterContext Class Reference

`#include <IWORKHeaderFooterContext.h>`

Inheritance diagram for libetonyek::IWORKHeaderFooterContext:

## Public Types
typedef std::function< void(const std::string &)> | CollectFunction_t

## Public Member Functions
| IWORKHeaderFooterContext (IWORKXMLParserState &state, const CollectFunction_t &collect)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | startOfElement () override
| Signalize the start of an element.
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
const CollectFunction_t | m_collect
boost::optional< std::string > | m_name

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Member Typedef Documentation

## ◆ CollectFunction_t

typedef std::function<void(const std::string &)> libetonyek::IWORKHeaderFooterContext::CollectFunction_t

## Constructor & Destructor Documentation

## ◆ IWORKHeaderFooterContext()

libetonyek::IWORKHeaderFooterContext::IWORKHeaderFooterContext | ( | IWORKXMLParserState & | state,
|  | const CollectFunction_t & | collect )

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKHeaderFooterContext::attribute | ( | int | name,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKHeaderFooterContext::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKHeaderFooterContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ startOfElement()

void libetonyek::IWORKHeaderFooterContext::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_collect

const CollectFunction_t libetonyek::IWORKHeaderFooterContext::m_collect
| private

Referenced by endOfElement(), and IWORKHeaderFooterContext().

## ◆ m_name

boost::optional<std::string> libetonyek::IWORKHeaderFooterContext::m_name
| private

Referenced by attribute(), endOfElement(), and IWORKHeaderFooterContext().

The documentation for this class was generated from the following files:

- IWORKHeaderFooterContext.h
- IWORKHeaderFooterContext.cpp